<?xml version='1.0'?>
<!DOCTYPE p:pipeline SYSTEM "../../lib/xml/xproc.dtd" [
<!ATTLIST p:pipeline xmlns:c CDATA #IMPLIED>
]>
<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" xmlns:c="http://www.w3.org/ns/xproc-step" exclude-inline-prefixes="my c p cx" xmlns:my="http://www.ltg.ed.ac.uk/~ht/" version="1.0" xmlns:cx="http://xmlcalabash.com/ns/extensions"> 
<!-- Created: 15 Mar 2011 -->
 <p:output port="result" primary="true"/>
 <p:option name="root" required="true"/>
 <p:option name="debug" select="'0'"/>
 
 <p:import href="library-1.0.xpl"/>

 <p:declare-step type="my:o">
  <p:input port="source" primary="true"/>
  <p:output port="result" primary="true"/>
  <p:option name="debug" required="true"/>
  <p:choose>
   <p:when test="/o/q/*">
    <p:choose>
     <p:when test="not($debug='0')">
      <cx:message>
     <p:with-option name="message" select="concat(count(/o/q/sd),', ',/o/q/sd[1]/@uri,'[',/o/q/sd[1]/@i,']: '),
for $m in /o/q/sd[1]/m return concat('&lt;',$m/@name,',',$m/@type,',',$m/@uri,',',$m/@pos,'>')"/>
    </cx:message>
     </p:when>
     <p:otherwise>
      <p:identity/>
     </p:otherwise>
    </p:choose>    
    <p:xslt>
     <p:input port="stylesheet">
      <p:document href="o.xsl"/>
     </p:input>
     <p:with-param name="debug" select="$debug"/>
    </p:xslt>
    <my:o>
     <p:with-option name="debug" select="$debug"/>
    </my:o>
   </p:when>
   <p:otherwise>
    <p:identity/>
   </p:otherwise>
  </p:choose>
 </p:declare-step>
 
 <p:add-attribute match="sd" attribute-name="uri">
  <p:with-option name="attribute-value" select="$root"/>
  <p:input port="source">
   <p:inline><o>
 <p/>
 <q>
  <sd i="1"/>
 </q>
</o></p:inline>
  </p:input>
 </p:add-attribute>
 
 <my:o name="o">
  <p:with-option name="debug" select="$debug"/>
 </my:o>
 
 <p:insert match="/foo" position="last-child">
  <p:input port="insertion">
   <p:pipe step="o" port="result"/>
  </p:input>
  <p:input port="source">
   <p:inline><foo><?xml-stylesheet type="text/xsl" href="oToHtml.xsl"?></foo></p:inline>
  </p:input>
 </p:insert>
 
 <p:unwrap match="/foo"/>
 
</p:declare-step>
