<?xml version='1.0'?>
<!DOCTYPE doc SYSTEM "../../lib/xml/xsl.dtd" >
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.w3.org/1999/xhtml">
 <xsl:template match="/">
  <html>
   <head>
    <title>Override graph</title>
    <style>
     ul li {list-style-type: none}
    </style>
   </head>
   <body>
    <ul>
     <xsl:apply-templates select="/o/p/sd"/>
    </ul>
   </body>
  </html>
 </xsl:template>
 
 <xsl:template match="sd">
  <li>[<strong><xsl:value-of select="@i"/></strong>: ^<xsl:value-of select="@parent"/>^ <xsl:value-of select="@uri"/> {<xsl:if test="m"><ul>
<xsl:apply-templates select="m"/>
</ul></xsl:if>}]</li>
 </xsl:template>
 
 <xsl:template match="m">
  <li>&lt;<xsl:value-of select="@name"/>,<xsl:value-of select="@type"/>,<xsl:value-of select="@uri"/>,<xsl:value-of select="@pos"/>></li>
 </xsl:template>
</xsl:stylesheet>
